[Intrepid] Update kernel to Linux 2.6.27.14

Bug #324921 reported by Stefan Bader on 2009-02-03
8
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Intrepid
Undecided
Unassigned

Bug Description

SRU justification:

Impact: Upstream release of stable kernel with several bug fixes. Pull those in order to stay in sync with upstream

Fix: Cherry picked from 2.6.27.y tree

* fuse: destroy bdi on umount
* fuse: fix missing fput on error
* fuse: fix NULL deref in fuse_file_alloc()
* inotify: clean up inotify_read and fix locking problems
* mac80211: decrement ref count to netdev after launching mesh discovery
* sysfs: fix problems with binary files
* x86, mm: fix pte_free()
* alpha: nautilus - fix compile failure with gcc-4.3
* it821x: Add ultra_mask quirk for Vortex86SX
* libata: pata_via: support VX855, future chips whose IDE controller use 0x0571
* rtl8187: Add termination packet to prevent stall
* serial_8250: support for Sealevel Systems Model 7803 COMM+8
* SUNRPC: Fix a memory leak in rpcb_getport_async
* SUNRPC: Fix autobind on cloned rpc clients
* USB: fix char-device disconnect handling
* USB: storage: add unusual devs entry
* USB: usbmon: Implement compat_ioctl
* ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
* ALSA: hda - Add quirk for HP DV6700 laptop
* ALSA: hda - Fix PCM reference NID for STAC/IDT analog outputs
* bnx2x: Block nvram access when the device is inactive
* crypto: authenc - Fix zero-length IV crash
* crypto: ccm - Fix handling of null assoc data
* epoll: drop max_user_instances and rely only on max_user_watches
* ext3: Add sanity check to make_indexed_dir
* include/linux: Add bsg.h to the Kernel exported headers
* sgi-xpc: ensure flags are updated before bte_copy
* sgi-xpc: Remove NULL pointer dereference.
* sound: virtuoso: do not overwrite EEPROM on Xonar D2/D2X
* rtl8187: Fix error in setting OFDM power settings for RTL8187L
* PCI hotplug: fix lock imbalance in pciehp
* relay: fix lock imbalance in relay_late_setup_files
* Linux 2.6.27.14

Stefan Bader (smb) on 2009-02-03
Changed in linux:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) on 2009-02-04
Changed in linux:
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2009-02-25
Changed in linux:
status: Fix Committed → Invalid
Martin Pitt (pitti) on 2009-02-26
Changed in linux:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Uwe Geuder (ubuntulp-ugeuder) wrote :

I believe there is regression with the framebuffer. Please see my report in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/351207

Martin Pitt (pitti) wrote :

Marking as v-failed for now, until bug 351207 gets investigated.

tags: added: verification-failed
removed: verification-needed
Uwe Geuder (ubuntulp-ugeuder) wrote :

The framebuffer console problem reported as https://bugs.launchpad.net/ubuntu/+source/linux/+bug/351207 is not regression. I have reproduced it in Hardy and also with the latest released Intrepid kernel 2.6.27-11.

As far as this report is concerned you can remove the verification-failed tag.

Sorry about the noise.

Martin Pitt (pitti) on 2009-04-15
tags: added: verification-needed
removed: verification-failed
Uwe Geuder (ubuntulp-ugeuder) wrote :

Today I saw that the 2.6.7-14 has been updated from version 14.30 to 14.33. After applying the update, my madwifi driver stopped working. I'm quite new to Ubuntu, but I understood as long as the ABI version does not change, i.e. 14 in this case, there is no need to rebuild kernel modules.

After recompiling and reinstalling madwifi it worked again.

Is this a problem or did I understand the meaning of ABI wrong? Or is the stability not guaranteed as long as it is still in the proposed repository?

Martin Pitt (pitti) wrote :

Uwe, are you using a locally built madwifi? Doesn't the one in linux-restricted-modules work for you?

In general this should be the case. However the ABI number only makes sure that
no kernel symbols have changed or have been removed. Potentially there could be
other changes (like the compiler changed in between). But that is a bit
speculative. If the ABI had changed, you would get messages about the module
not agreeing with some kernel symbol or not finding it.

Uwe Geuder (ubuntulp-ugeuder) wrote :

@Martin

I have not investigated the issue any deeper, but my WLAN card of my Aspire One netbook did not work with a vanilla Intrepid installation. (Don't have the card make/model handy right now, but I can look it up later if desired.) So I followed the instructions at https://help.ubuntu.com/community/AspireOne

--- clip---
 Wireless module

      There has been some confusion as to which wireless driver provides the best performance and reliability. I have found the following:
          o madwifi from kernel (ath_pci) - does not attach to hardware.
          o ath5k from intrepid backports (ath5k) - connects to hardware, but experiences disconnects on medium to heavy wireless activity, and can not communicate with some AP's using WPA2 PSK.
          o madwifi-hal from http://snapshots.madwifi-project.org/ (ath_pci) - Everything works.

--- clip ---

The newest madwifi did indeed work for me.

@Stefan

I did not check the logs whether there was anything interesting. The first thing I noticed after upgrading was that ath_pci had be commented in /etc/modules. So I uncommented it again and rebooted. When WLAN still didn't work, I just recompiled and reinstalled. After that WLAN worked again. If this is important (or you are just interested to understand what is going on) and 14.30 is still available I could try to reproduce the issue and check the logs. I don't think gcc version has changed since I installed 14.30 and compiled madwifi the first time.

Stefan Bader (smb) wrote :

> Aspire One netbook did not work with a vanilla Intrepid installation.
> (Don't have the card make/model handy right now, but I can look it up

There has been a bug in the acer-wmi module (or one could call it a bug in the
Aspire One BIOS to present an rfkill interface that is not working) which
prevented wirelss working. As a quick work-around you can rmmod acer-wmi and
wireless should work.
We got a quirk coming to fix this.

Uwe Geuder (ubuntulp-ugeuder) wrote :

I haven't tried the rmmod suggestion yet. Will do that later.

After installing the new -14 kernel built by Stefan for https://bugs.launchpad.net/bugs/355057 my madwifi stopped working again. The log entries look exactly the same as the last time. I guess rebuilding and reinstalling it will help again, but I haven't done it so far, just in case somebody is interested in further details (and it's too late for me anyway).

I guess after the upgrade it starts to use the default Ubuntu driver, but I don't see any explanation why. This time ath_pci is not commented out in /etc/modules.

Here are some kernel log lines:

madwifi works before installing a new -14 kernel (only lines, which seem related to wifi)

Apr 20 22:19:36 pikkukone kernel: [ 16.976739] ath_hal: module license 'Proprietary' taints kernel.
Apr 20 22:19:36 pikkukone kernel: [ 17.076383] AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, RF2417)
Apr 20 22:19:36 pikkukone kernel: [ 17.977143] ath_pci 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Apr 20 22:19:36 pikkukone kernel: [ 17.977189] ath_pci 0000:03:00.0: setting latency timer to 64
Apr 20 22:19:36 pikkukone kernel: [ 18.479068] MadWifi: ath_attach: Switching rfkill capability off.
Apr 20 22:19:36 pikkukone kernel: [ 20.822474] wifi0: Atheros AR2425 chip found (MAC 14.2, PHY SChip 7.0, Radio 10.2)
Apr 20 22:19:36 pikkukone kernel: [ 20.864718] acer-wmi: Acer Laptop ACPI-WMI Extras

madwifi does not work after installing a new -14 kernel (only lines, which seem related to wifi up to the error)

Apr 20 23:19:43 pikkukone kernel: [ 17.144157] ath_hal: module license 'Proprietary' taints kernel.
Apr 20 23:19:43 pikkukone kernel: [ 17.192511] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Apr 20 23:19:43 pikkukone kernel: [ 17.840840] wlan: 0.9.4
Apr 20 23:19:43 pikkukone kernel: [ 18.132467] ath_pci: 0.9.4
Apr 20 23:19:43 pikkukone kernel: [ 18.132592] ath_pci 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Apr 20 23:19:43 pikkukone kernel: [ 18.132635] ath_pci 0000:03:00.0: setting latency timer to 64
Apr 20 23:19:43 pikkukone kernel: [ 18.180993] wifi%d: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)

Stefan Bader (smb) wrote :

Hm, somewhere I saw that before. IIRC the problem was the ath5k/ath9k drivers
competing and if the wrong one touched the device first it would break.
Something related to have LBM installed and the wrong driver not being
blacklisted... But its a little fuzzy.

Launchpad Janitor (janitor) wrote :
Download full text (27.1 KiB)

This bug was fixed in the package linux - 2.6.27-14.33

---------------
linux (2.6.27-14.33) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Fix FTBS due to a mysteriously missing ABI directory.

linux (2.6.27-14.32) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.27-14.30 with 2.6.27-11.31 security patches applied

linux (2.6.27-14.30) intrepid-proposed; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: Limit workaround for ASUS notebooks even more
    - LP: #288385

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Scott James Remnant ]

  * SAUCE: floppy: Provide a PnP device table in the module.
    - LP: #255651

  [ Steve Beattie ]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [ Stefan Bader ]

  * Revert "ACPI: Fix compiler warnings introduced by 32 to 64 bit acpi
    conversions"
    - LP: #337019
  * Revert "ACPI: Change acpi_evaluate_integer to support 64-bit on 32-bit
    kernels"
    - LP: #337019

  [ Upstream Kernel Changes ]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * ricoh_mmc: Handle newer models of Ricoh controllers
    - LP: #311932

linux (2.6.27-13.29) intrepid-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106, #322082

  [ Stefan Bader ]

  * Revert "SAUCE: Work around ACPI corruption upon suspend on some Dell
    machines." (replaced by stable update)
    - LP: #330200
  * Revert "SAUCE: Add back in lost commit for Apple BT Wireless Keyboard"
    (replaced by stable update)
    - LP: #330902

  [ Upstream Kernel Changes ]

  * Revert "vt: fix background color on line feed"
    - LP: #330200
  * ti_usb_3410_5052: support alternate firmware
    - LP: #231276
  * fuse: destroy bdi on umount
    - LP: #324921
  * fuse: fix missing fput on error
    - LP: #324921
  * fuse: fix NULL deref in fuse_file_alloc()
    - LP: #324921
  * inotify: clean up inotify_read and fix locking problems
    - LP: #324921
  * mac80211: decrement ref count to netdev after launching mesh discovery
    - LP: #324921
  * sysfs: fix problems with binary files
    - LP: #324921
  * x86, mm: fix pte_free()
    - LP: #324921
  * alpha: nautilus - fix compile failure with gcc-4.3
    - LP: #324921
  * it821x: Add ultra_mask quirk for Vortex86SX
    - LP: #324921
  * libata: pata_via: support VX855, future chips whose IDE controller use
    0x0571
    - LP: #324921
  * rtl8187: Add termination packet to prevent stall
    - LP: #324921
  * serial_8250: support for Sealevel Systems Model 7803 COMM+8
    - LP: #324921
  * SUNRPC: Fix a memory leak in rpcb_getport_async
    - LP: #324921
  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #324921
  * USB: fix char-device disconnect handling
    - LP: #324921
  * USB: storage: add unusual devs entry
    - LP: #324921
  * USB: usbmon: Implement compat_ioctl
    - LP: #324921
  * ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
    - LP: #324921
  * ALSA: hda - Add quirk for HP DV6700 laptop
    - LP: #324921
  * ALSA: ...

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers